delegated to true to register it under domain-wide delegation with explicit OAuth scopes, which must be full https:// Google scope URLs.client_id must be a GUID (an Entra application id), scopes are always applied, and delegated is rejected because there is only one grant mechanism. Scopes are permission names (Mail.Send) or resource-qualified (https://outlook.office365.com/SMTP.Send).processing for minutes and completes once the grant has been applied. Poll the status endpoint rather than assuming a fast result. While it is waiting the status endpoint reports processing, never errored.platform to be explicit in that case.curl --location 'https://api.inboxkit.com/v1/api/mailboxes/client-id-request/initiate' \
--header 'X-Workspace-Id: a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"domain": "example.com",
"client_id": "123456789-abcdefghijklmnop.apps.googleusercontent.com",
"platform": "GOOGLE",
"delegated": false,
"scopes": [
"Mail.Send",
"Mail.ReadWrite"
],
"request_data": {}
}'{
"error": false,
"message": "Client ID request initiated successfully",
"data": {
"uid": "req-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "queued",
"domain_name": "example.com",
"client_id": "123456789-abcdefghijklmnop.apps.googleusercontent.com",
"platform": "GOOGLE",
"delegated": true,
"scopes": [
"https://www.googleapis.com/auth/gmail.modify",
"https://www.googleapis.com/auth/admin.directory.user"
],
"created_at": "2025-01-15T10:00:00.000Z"
}
}